Page MenuHomePhabricator

sudo is still broken on certain toolforge hosts
Closed, ResolvedPublic

Description

I have not checked what hosts this is affecting, but at least it affects to tools-sgewebgrid-lighttpd-0921:

08:18:04 0 ✓ zhuyifei1999@tools-sgewebgrid-lighttpd-0921: ~$ sudo -l

We trust you have received the usual lecture from the local System
Administrator. It usually boils down to these three things:

    #1) Respect the privacy of others.
    #2) Think before you type.
    #3) With great power comes great responsibility.

[sudo] password for zhuyifei1999: 
08:18:12 1 ✗ zhuyifei1999@tools-sgewebgrid-lighttpd-0921: ~$ become zhuyifei1999-test 
sudo: a password is required
08:18:19 1 ✗ zhuyifei1999@tools-sgewebgrid-lighttpd-0921: ~$
root@tools-sgewebgrid-lighttpd-0921:~# sudo -lU zhuyifei1999
User zhuyifei1999 is not allowed to run sudo on tools-sgewebgrid-lighttpd-0921.

Unlikely relevant (just in case), but I was truncating an exim paniclog with this contents:

root@tools-sgewebgrid-lighttpd-0921:~# cat /var/log/exim4/paniclog
2019-04-08 12:01:16 Failed to get user name for uid 52856
root@tools-sgewebgrid-lighttpd-0921:~# truncate -s 0 /var/log/exim4/paniclog

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 13 2019, 8:23 AM
aborrero triaged this task as Normal priority.May 13 2019, 1:08 PM
aborrero closed this task as Resolved.May 29 2019, 11:09 AM
aborrero claimed this task.

This should be working now:

root@tools-sgewebgrid-lighttpd-0921:~# sudo -lU zhuyifei1999
Matching Defaults entries for zhuyifei1999 on tools-sgewebgrid-lighttpd-0921:
    env_reset, env_keep+=HOME, secure_path=/usr/local/sbin\:/usr/local/bin\:/usr/sbin\:/usr/bin\:/sbin\:/bin, !mail_no_user, !mail_always,
    !mail_badpass, !mail_no_host, !mail_no_perms, !mail_no_user

User zhuyifei1999 may run the following commands on tools-sgewebgrid-lighttpd-0921:
    (tools.commons-maintenance-bot) NOPASSWD: ALL
    (tools.video2commons-socketio) NOPASSWD: ALL
    (tools.gabrielchihonglee-bot) NOPASSWD: ALL
    (tools.video2commons-test) NOPASSWD: ALL
    (tools.zhuyifei1999-test) NOPASSWD: ALL
    (tools.commonsarchive) NOPASSWD: ALL
    (tools.newbie-uploads) NOPASSWD: ALL
    (tools.video-cut-tool) NOPASSWD: ALL
    (tools.media-dubiety) NOPASSWD: ALL
    (tools.precise-tools) NOPASSWD: ALL
    (tools.steinsplitter) NOPASSWD: ALL
    (tools.testwikistats) NOPASSWD: ALL
    (tools.video2commons) NOPASSWD: ALL
    (tools.embeddeddata) NOPASSWD: ALL
    (tools.glam2commons) NOPASSWD: ALL
    (tools.tilescraper) NOPASSWD: ALL
    (tools.wikivoyage) NOPASSWD: ALL
    (tools.pywikibot) NOPASSWD: ALL
    (tools.acoustid) NOPASSWD: ALL
    (tools.yifeibot) NOPASSWD: ALL
    (tools.fontcdn) NOPASSWD: ALL
    (tools.kolbert) NOPASSWD: ALL
    (tools.quarry) NOPASSWD: ALL
    (tools.admin) NOPASSWD: ALL
    (tools.potd) NOPASSWD: ALL
    (tools.sbot) NOPASSWD: ALL
    (tools.db) NOPASSWD: ALL
    (root) NOPASSWD: ALL